Create
POST/organizations/{organization_id}/service-accounts
Create a new service account for an organization
Path Parameters
organization_id: string
Organization ID or label identifier
minLength1
maxLength255
Header Parameters
"X-Client-Request-ID": optional string
formatuuid
Body ParametersJSON
name: string
Service account name
description: optional string
Optional description of the service account
maxLength500
Returns
Create
curl https://api.keycard.ai/organizations/$ORGANIZATION_ID/service-accounts \
-H 'Content-Type: application/json' \
-d '{
"name": "name"
}'{
"id": "ab3def8hij2klm9opq5rst7uvw",
"created_at": "2019-12-27T18:11:19.117Z",
"name": "name",
"updated_at": "2019-12-27T18:11:19.117Z",
"description": "description",
"permissions": {
"organizations": {
"read": true,
"update": true
},
"users": {
"read": true,
"list": true
}
}
}Returns Examples
{
"id": "ab3def8hij2klm9opq5rst7uvw",
"created_at": "2019-12-27T18:11:19.117Z",
"name": "name",
"updated_at": "2019-12-27T18:11:19.117Z",
"description": "description",
"permissions": {
"organizations": {
"read": true,
"update": true
},
"users": {
"read": true,
"list": true
}
}
}